On 3/11/2018 17:45, Michaël Michaud wrote:
>>>>> Migrating to jts 1.15 will probably break a lot of plugins. How do you 
>>>>> think we should manage this migration ?
>>>> preferably with a compatibility layer, eg. two classloaders, one w/ old, 
>>>> one new jts. or standin JTS classes in OJ core, that fix incompatibilities 
>>>> on a one by one basis.
>>> Can you elaborate about how using two classloaders can help us ?
>>> I think that as soon as the new Geometry class will be used in Feature's, 
>>> every plugin importing a Geometry from the old vividsolutions package will 
>>> have to be changed (including extensions...) .
>> could you point to docs describing the changes or explain the 
>> incompatibility between the two Geometry classes a bit more detailed?
> https://github.com/locationtech/jts/blob/master/MIGRATION.md

so it is not really an incompatibility, but they actually dared to change the 
package name? and instead of making it generic, they made it into another 
company name :)), well done!

before we start replacing all over the project let's see if we can patch our 
classloader to simply load from the different package? that would save us from 
digging through all extension jars and fixup imports there.

d'accord? ..ede

Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Jump-pilot-devel mailing list

Reply via email to